will upgrading to raspberrypi-kernel_1.20190819~stretch-1_armhf.deb break things?

Post technical questions about the Buildbotic Controller here.
Forum rules
No profanity, no gambling, no illegal activity, so sexual or pornographic material.

Posts not related to the Buildbotic CNC Controller are likely to be moved or deleted.
Post Reply
tdwebste
Posts: 6
Joined: Thu Jan 02, 2020 11:22 pm

will upgrading to raspberrypi-kernel_1.20190819~stretch-1_armhf.deb break things?

Post by tdwebste » Sat Aug 08, 2020 10:40 am

raspberrypi-kernel_1.20190819~stretch-1_armhf.deb 4.19.66-v7+

It was installed when
mount -o remount,rw /boot
mount -o remount,rw /

to fix apt --fix-broken install
which I need to install vim-gtk

I have not rebooted yet.
Should I restore the previous kernel version?
Linux bbctrl 4.9.59-v7+

If so how?

Thx

tdwebste
Posts: 6
Joined: Thu Jan 02, 2020 11:22 pm

Re: will upgrading to raspberrypi-kernel_1.20190819~stretch-1_armhf.deb break things?

Post by tdwebste » Sat Aug 08, 2020 10:14 pm

Is Linux bbctrl 4.9.59-v7+ available pre-compiled?

This would make restoring very easy.

Thx

User avatar
Joe
Site Admin
Posts: 6
Joined: Fri Feb 02, 2018 2:00 pm
Location: Petaluma, CA
Contact:

Re: will upgrading to raspberrypi-kernel_1.20190819~stretch-1_armhf.deb break things?

Post by Joe » Sun Aug 09, 2020 11:41 am

It should be ok but I have not tried it. If it fails you can recopy the buildbotics base image to your sd card.

tdwebste
Posts: 6
Joined: Thu Jan 02, 2020 11:22 pm

Re: will upgrading to raspberrypi-kernel_1.20190819~stretch-1_armhf.deb break things?

Post by tdwebste » Sun Aug 09, 2020 3:11 pm

Thx Joe,

Is this the prebuild buildbotics base image?
https://github.com/buildbotics/bbctrl-f ... lopment.md

wget \
https://buildbotics.com/upload/2018-05- ... trl.img.xz
xz -d 2018-05-15-raspbian-stretch-bbctrl.img.xz

Post Reply